.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* Semi-transparent grey */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 15;
}

.modal-container {
    background-color: var(--body-bg);
    width: 500px;
    max-width: 90%;
    max-height: 80%;
    overflow-y: auto;
    padding: 18px 20px;
    border-radius: 8px;
    box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.2);
    position: relative;
    border: 2px solid var(--border-color);
}

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.modal-title {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    font-size: 20px;
    font-weight: 400;
}

.modal-close-btn {
    background: none;
    border: none;
    font-size: 24px;
    cursor: pointer;
    padding: 0 !important;
    color: var(--primary-text-color);
    filter: none !important;
}

.modal-body {
    margin: 30px 0 30px 0;
    font-size: 16px;
}

.modal-footer {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
}

.modal-cancel-btn,
.modal-ok-btn {
    padding: 8px 16px;
    border: none;
    cursor: pointer;
    border-radius: 4px;
}

.modal-cancel-btn {
    background-color: var(--textbox-bg);
    color: var(--tertiary-text-color);
    border: 1px solid var(--border-color);
}

.modal-ok-btn {
    background-color: var(--default-blue);
    color: white;
    min-width: 80px;
}

.modal-ok-btn:hover {
    background-color: var(--secondary-blue);
    color: white;
}

.modal-cancel-btn:hover {
    filter: brightness(0.95);
}

.modal-spinner-container {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
}

.modal-error-message-container {
    display: flex;
    align-items: center;
    gap: 12px;
}

.modal-error-icon {
    width: 40px;
}

.modal-error-icon-container {
    display: flex;
    justify-content: center;
    align-items: center;
}